<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Extend\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 导航多语言内容
 * @ORM\Entity(repositoryClass="Extend\Repository\NavigationContentRepository")
 * @ORM\Table(name="dbcart_navigation_content")
 */
class NavigationContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 导航id
     * @ORM\Column(name="navigation_id", type="integer", length=11)
     */
    private $navigationId;

    /**
     * 导航标题
     * @ORM\Column(name="navigation_title", type="string", length=200)
     */
    private $navigationTitle;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getNavigationId()
    {
        return $this->navigationId;
    }

    /**
     * @param mixed $navigationId
     */
    public function setNavigationId($navigationId): void
    {
        $this->navigationId = $navigationId;
    }

    /**
     * @return mixed
     */
    public function getNavigationTitle()
    {
        return $this->navigationTitle;
    }

    /**
     * @param mixed $navigationTitle
     */
    public function setNavigationTitle($navigationTitle): void
    {
        $this->navigationTitle = $navigationTitle;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}