<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use Goods\Entity\GoodsCommonContent;
use Goods\Entity\GoodsCommonContentExt;

class GoodsCommonContentRepository extends EntityRepository
{
    /**
     * 根据商品分类id获取信息，用于前台
     * @param $classId
     * @param $languageCode
     * @return float|int|mixed|string
     */
    public function findGoodsCommonContent($classId, $languageCode)
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('c', 'e.contentBody')
            ->from(GoodsCommonContent::class, 'c')
            ->leftJoin(GoodsCommonContentExt::class, 'e', Join::WITH, 'c.contentId = e.contentId')
            ->where($query->expr()->like('c.classIdStr', "'%,".$classId.",%'"))
            ->andWhere('c.contentState = 1')
            ->andWhere('e.languageCode = :languageCode')->setParameter('languageCode', $languageCode)
            ->orderBy('c.contentSort', 'ASC');

        return $query->getQuery()->getResult();
    }
}