<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace User\Controller\Factory;

use Admin\Data\Config;
use Interop\Container\ContainerInterface;
use User\Controller\BalanceController;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;
use User\Service\BalanceLogManager;
use User\Service\UserManager;
use User\Service\UserRechargeManager;
use User\Service\UserWithdrawManager;

class BalanceControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $balanceLogManager  = $container->get(BalanceLogManager::class);
        $userManager        = $container->get(UserManager::class);
        $userRechargeManager= $container->get(UserRechargeManager::class);
        $userWithdrawManager= $container->get(UserWithdrawManager::class);

        return new BalanceController($translator, $entityManager,
            $userManager,
            $balanceLogManager,
            $userRechargeManager,
            $userWithdrawManager
        );
    }
}